zenilib: zenilib/jni/external/zenilib/zeni_rest/main.cpp File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
main.cpp File Reference
`#include <zeni_rest.h>`
`#include <cassert>`
`#include <ctime>`
`#include <fstream>`
`#include <iostream>`
`#include <errno.h>`
`#include <unistd.h>`
`#include <SDL/SDL_net.h>`

Go to the source code of this file.

## Functions

static bool | load_config ()
int | main2 (const int argc, const char *const *const argv)
static void | print_errors ()
static void | up_one_dir (char path[], int &length)
int | zenilib_main (int argc, char **argv)

## Function Documentation

static bool load_config | ( |  | ) |

static

Definition at line 41 of file main.cpp.

References Zeni::File_Ops::get_appdata_path(), Zeni::get_File_Ops(), Zeni::File_Ops::preinit(), Zeni::Window::preinit_full_screen(), Zeni::Video::preinit_multisampling(), Zeni::Window::preinit_resolution(), Zeni::Window::preinit_show_frame(), Zeni::Video::preinit_vertical_sync(), Zeni::Video::preinit_video_mode(), Zeni::Window::set_enabled(), Zeni::Textures::set_texturing_mode(), Zeni::String::std_str(), Zeni::XML_Element_c::to_bool(), Zeni::XML_Element_c::to_int(), Zeni::XML_Element_c::to_string(), Zeni::XML_Document::try_load(), Zeni::Video::ZENI_VIDEO_ANY, Zeni::Video::ZENI_VIDEO_DX9, Zeni::Video::ZENI_VIDEO_GL_FIXED, and Zeni::Video::ZENI_VIDEO_GL_SHADER.

Referenced by main2().

int main2 | ( | const int | argc,
|  | const char *const *const | argv
| ) |  |

inline

Definition at line 173 of file main.cpp.

References Zeni::Singleton< Game >::completely_destroy(), Zeni::Singleton< Sound_Source_Pool >::completely_destroy(), Zeni::Singleton< Sound >::completely_destroy(), Zeni::Singleton< Sounds >::completely_destroy(), Zeni::Singleton< Timer_HQ >::completely_destroy(), Zeni::Singleton< Core >::completely_destroy(), Zeni::Singleton< File_Ops >::completely_destroy(), Zeni::Singleton< Controllers >::completely_destroy(), Zeni::Singleton< Timer >::completely_destroy(), Zeni::Singleton< Colors >::completely_destroy(), Zeni::Singleton< Fonts >::completely_destroy(), Zeni::Singleton< Textures >::completely_destroy(), Zeni::Singleton< Resource >::completely_destroy(), Zeni::Singleton< Video >::completely_destroy(), Zeni::Singleton< Window >::completely_destroy(), error, Zeni::g_argc, Zeni::g_argv, Zeni::g_gzi, Zeni::get_Game(), Zeni::get_Video(), Zeni::Window::is_enabled(), load_config(), Zeni::message_box(), Zeni::Error::msg, print_errors(), Zeni::Game::push_state(), and Zeni::Game::run().

Referenced by zenilib_main().

static void print_errors | ( |  | ) |

static

Definition at line 158 of file main.cpp.

References Zeni::Sound_Renderer_AL::errorString(), Zeni::Video::print_errors(), SDL_GetError(), and SDLNet_GetError().

Referenced by main2().

static void up_one_dir | ( | char | path[],
|  | int & | length
| ) |  |

static

Definition at line 270 of file main.cpp.

Referenced by zenilib_main().

int zenilib_main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 279 of file main.cpp.

References i, int, main2(), memcpy, and up_one_dir().

Referenced by main().